Skip to navigation

Create Warehouse Inbound Order via API

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

access_tokenstringOptional

Access Token (Required)

receiver_namestringOptional

Receiver Name (Required)

receiver_contactstringOptional

Receiver Phone (Required)

receiver_addressstringOptional

Receiver Address (Required)

debtor_merchant_idstringOptional

Merchant External ID (Optional)

debtor_merchant_namestringOptional

Merchant Name (Optional)

vendor_ref_idstringOptional

Vendor Reference ID (Optional)

vendor_namestringOptional

Vendor Name (Optional)

warehouse_namestringOptional

Warehouse Name (Required)

loading_datedateOptional

Loading Date (Required) Format: YYYY-MM-DD

rdddateOptional

Required Delivery Date (Required) Format: YYYY-MM-DD

brand_namestringOptional

Brand Name (Optional)

itinerarystringOptional

Route/Itinerary (Optional)

transport_nostringOptional

Transport Number (Optional)

container_codestringOptional

Container Code (Optional)

agent_codestringOptional

Agent Code (Optional)

agent_namestringOptional

Agent Name (Optional)

notesstringOptional

Order Notes (Optional)

order_codestringOptional

Order Code (Optional)

reference_nostringOptional

Reference Number (Optional)

destination_nostringOptional

Destination Number (Optional)

product_itemsstringOptional

Product Items in JSON format. Required format: [{“item_id”:“733255”,“description”:“Product Name”,“quantity”:60,“volume”:0,“net_weight”:0,“gross_weight”:0}]

Response

Returns warehouse order object with order_id, order_number, warehouse, receiver, items